Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## nextapp.echo2.app.text
Class AbstractDocument

    java.lang.Object
      nextapp.echo2.app.text.AbstractDocument

All Implemented Interfaces:
  java.io.Serializable, Document

Direct Known Subclasses:
  StringDocument

    public abstract class AbstractDocument

extends java.lang.Object
implements Document, java.io.Serializable

An abstract implementation of a text component model. Provides listener management and notification facilities.

See Also:
  Serialized Form

Field Summary
`protected EventListenerList` | `listenerList` A listener storage facility.

Constructor Summary
`AbstractDocument()` Default constructor.

Method Summary
`void` | `addDocumentListener(DocumentListener l)` Adds a listener which will be notified of changes to the document.
`void` | `fireDocumentUpdate(DocumentEvent e)` Notifies listeners about an update to the document.
`void` | `removeDocumentListener(DocumentListener l)` Removes a listener from being notified of changes to the document.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface nextapp.echo2.app.text.Document
`getText, setText`

Field Detail

### listenerList

    protected EventListenerList listenerList

  A listener storage facility.

Constructor Detail

### AbstractDocument

    public AbstractDocument()

  Default constructor.

Method Detail

### addDocumentListener

    public void addDocumentListener(DocumentListener l)

  Adds a listener which will be notified of changes to the document.

  Specified by:
    `addDocumentListener` in interface `Document`
  Parameters:
    `l` - The listener to add.
  See Also:
    `Document.addDocumentListener(DocumentListener)`

### fireDocumentUpdate

    public void fireDocumentUpdate(DocumentEvent e)

  Notifies listeners about an update to the document.

  Parameters:
    `e` - An event describing the changes to the document.

### removeDocumentListener

    public void removeDocumentListener(DocumentListener l)

  Removes a listener from being notified of changes to the document.

  Specified by:
    `removeDocumentListener` in interface `Document`
  Parameters:
    `l` - The listener to remove.
  See Also:
    `Document.removeDocumentListener(DocumentListener)`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD